Subject: Re: [PATCH] [RFC] powerpc: Xilinx: adding virtex5 powerpc 440 support

From: Grant Likely <[email-masked]>
Date: Sat, 28 Jun 2008 23:52:48 -0600

On Tue, Jun 24, 2008 at 03:07:48PM -0600, John Linn wrote:
> Hi Grant,
> 
> It appears that you designed the simpleImage around Xilinx FPGAs.

Yes.

> Since we have to initialize the 16550 UART in the bootstrap and there's
> no boot loader, were you thinking we would add the 16550 initialization
> to simpleboot.c?

Yes; or at least break out the common routine to be called by all
simpleImage targets and have a virtex-specific 'frontend' to it called
simpleboot-virtex405.c.

> 
> Why do we want a flat binary rather than an elf file for the target?

'Cause a flat binary can be loaded anywhere in RAM and is smaller than
an ELF image (no headers).

g.